#include once "inc/iup.bi"
#include once "inc/iupcontrols.bi"
#include once "inc/iupimglib.bi"
#include once "inc/iupgl.bi"

sub _init_ constructor
  IupOpen(0,0)
  IupControlsOpen()
  IupGLCanvasOpen()
  IupImageLibOpen()
end sub

sub _exit_ destructor
  IupClose()
end sub

'
' main
'
dim as IHandle ptr Layout = IupLayoutDialog(NULL)
IupSetAttribute(Layout, "TITLE", "A GUI designer with one line of code :-)")
IupSetAttribute(Layout, "SIZE", "HALFxHALF")
IupShowXY(Layout, IUP_CENTER, IUP_CENTER) 
IupMainLoop()





